class AudioFileLoader(Module):
  __parameters__ = []
  __buffers__ = []
  training : bool
  _is_full_backward_hook : Optional[bool]
  force_mono : bool
  sample_rate : int
  def forward(self: __torch__.thunder.data.dataset.AudioFileLoader,
    item: str) -> Tensor:
    audio, sample_rate, = (self).open_audio(item, )
    _0 = (self).preprocess_audio(audio, sample_rate, )
    return _0
  def open_audio(self: __torch__.thunder.data.dataset.AudioFileLoader,
    item: str) -> Tuple[Tensor, int]:
    _1 = __torch__.torchaudio.backend.sox_io_backend.load
    return _1(item, 0, -1, True, True, None, )
  def preprocess_audio(self: __torch__.thunder.data.dataset.AudioFileLoader,
    audio: Tensor,
    sample_rate: int) -> Tensor:
    _2 = __torch__.torchaudio.functional.functional.resample
    force_mono = self.force_mono
    if force_mono:
      _4 = torch.gt((torch.size(audio))[0], 1)
      _3 = _4
    else:
      _3 = False
    if _3:
      audio0 = torch.mean(audio, [0], True)
    else:
      audio0 = audio
    audio1 = torch.sub(audio0, torch.mean(audio0, [1]))
    sample_rate0 = self.sample_rate
    if torch.ne(sample_rate0, sample_rate):
      sample_rate1 = self.sample_rate
      audio3 = _2(audio1, sample_rate, sample_rate1, 6, 0.98999999999999999, "sinc_interpolation", None, )
      audio2 = audio3
    else:
      audio2 = audio1
    return audio2
